import { CommandRegistry } from './command-service';
import { TextDocumentLocationProviderIDRegistry, TextDocumentLocationProviderRegistry, TextDocumentReferencesProviderRegistry, PlatformContext, TextDocumentHoverProviderRegistry, IExtServices, TextDocumentСompletionProviderRegistry, TextDocumentHightLightProviderRegistry, TextDocumentRenameProviderRegistry, TextDocumentFormattingProviderRegistry, TextDocumentSymbolDefinitionProviderRegistry, TextDocumentCodeActionsRegistry, TextDocumentCodeLenthRegistry, TextDocumentLinkRegistry, TextDocumentColorRegistry, TextDocumentFoldingRangesRegistry, TextDocumentWorkspaceSymbolRegistry } from '@workbench-stack/extension-api';
import { ViewProviderRegistry } from './view-service';
import { ContributionRegistry } from '../api/providers/contribution';
import { LanguageFeatureRegistry } from '@vscode/monaco-editor/esm/vs/editor/common/modes/languageFeatureRegistry';
import { DocumentRangeFormattingEditProvider } from 'cdecode';
import { IClientService as IWorkbenchService } from '@workbench-stack/core';
export declare class Services implements IExtServices, IWorkbenchService {
    private platformContext;
    private internalService;
    private environment;
    constructor(platformContext: PlatformContext | any, internalService: IWorkbenchService);
    readonly windows: import("./windows-service").IEditorWindowsService;
    readonly configuration: import("../../../core/lib").ISettingsService<import("../../../../../packages/workbench-core/lib").IGeneratedSettings>;
    readonly extensions: import("../../../core/lib").IExtensionsService;
    readonly commands: CommandRegistry;
    readonly contribution: ContributionRegistry;
    readonly textDocumentDefinition: TextDocumentLocationProviderRegistry<import("../../../../../packages/workbench-core/lib").ITextDocumentPositionParams, import("@vscode/monaco-editor/esm/vs/editor/common/modes").Location>;
    readonly textDocumentImplementation: TextDocumentLocationProviderRegistry<import("../../../../../packages/workbench-core/lib").ITextDocumentPositionParams, import("@vscode/monaco-editor/esm/vs/editor/common/modes").Location>;
    readonly textDocumentReferences: TextDocumentReferencesProviderRegistry;
    readonly textDocumentTypeDefinition: TextDocumentLocationProviderRegistry<import("../../../../../packages/workbench-core/lib").ITextDocumentPositionParams, import("@vscode/monaco-editor/esm/vs/editor/common/modes").Location>;
    readonly textDocumentLocations: TextDocumentLocationProviderIDRegistry;
    readonly textDocumentHover: TextDocumentHoverProviderRegistry;
    readonly textDocumentСompletion: TextDocumentСompletionProviderRegistry;
    readonly textDocumentHightLight: TextDocumentHightLightProviderRegistry;
    readonly textDocumentRename: TextDocumentRenameProviderRegistry;
    readonly textDocumentFormatting: TextDocumentFormattingProviderRegistry;
    readonly textDocumentSymbolDefinition: TextDocumentSymbolDefinitionProviderRegistry;
    readonly textDocumentCodeAction: TextDocumentCodeActionsRegistry;
    readonly textDocumentCodeLenth: TextDocumentCodeLenthRegistry;
    readonly textDocumentLink: TextDocumentLinkRegistry;
    readonly textDocumentColor: TextDocumentColorRegistry;
    readonly textDocumentFoldingRanges: TextDocumentFoldingRangesRegistry;
    readonly rangeFormattingEditProviderRegistry: LanguageFeatureRegistry<DocumentRangeFormattingEditProvider>;
    readonly textDocumentWorkspaceSymbol: TextDocumentWorkspaceSymbolRegistry;
    readonly views: ViewProviderRegistry;
    readonly treeViews: ViewProviderRegistry;
    readonly fileService: {
        resolveFile: (resource: string) => import("@files-stack/core").ITextFileOnFileStatFragment;
    };
    readonly editorService: import("../../../../../packages/workbench-core/lib").IEditorService;
    readonly editorGroupsService: import("../../../../../packages/workbench-core/lib").IEditorGroupsService;
    readonly codeEditorService: import("../../../../../packages/workbench-core/lib").ICodeEditorService;
    readonly textFileService: import("../../../../../packages/workbench-core/lib").ITextFileService;
    readonly untitledEditorService: any;
    readonly modelService: import("../../../../../packages/workbench-core/lib").IModelService;
    readonly modeService: import("../../../../../packages/workbench-core/lib").IModeService;
    readonly contextKeyService: import("../../../../../packages/workbench-core/lib").IContextKeyService;
    readonly resourceContextKey: import("../../../../../packages/workbench-core/lib").IResourceContextKey;
    readonly lifecycleService: import("../../../../../packages/workbench-core/lib").ILifecycleService;
    readonly preferenceEditorService: import("../../../../../packages/workbench-core/lib").IPreferenceEditorService;
    readonly jsonEditingService: import("../../../../../packages/workbench-core/lib").IJSONEditingService;
    readonly workspaceContextService: import("../../../../../packages/workbench-core/lib").IClientWorkspaceContextService;
    readonly configurationService: import("../../../../../packages/workbench-core/lib").IClientConfigurationService;
    readonly notificationService: import("../../../../../packages/workbench-core/lib").INotificationsService;
    readonly dialogService: import("../../../../../packages/workbench-core/lib").IDialogService;
    readonly statusbarService: import("../../../../../packages/workbench-core/lib").IStatusbarService;
    readonly keybindingService: import("../../../../../packages/workbench-core/lib").IKeybindingService;
    readonly keybindingEditingService: import("../../../../../packages/workbench-core/lib").IKeybindingEditingService;
    readonly keymapService: import("../../../../../packages/workbench-core/lib").IKeymapService;
    readonly storageService: import("../../../../../packages/workbench-core/lib").IStorageService;
    readonly commandService: import("../../../../../packages/workbench-core/lib").ICommandService;
    readonly contextMenuService: import("../../../../../packages/workbench-core/lib").IContextMenuService;
    model: import("../../../../../packages/workbench-core/lib").IModelService;
}
